gauge
区分
JVN番号
タイトル
JVN
深刻度
最終更新日
CVE番号
New
JVNDB-2005-000508

Apache HTTP Server に含まれる mod_ssl の ssl_hook_Access() 関数における認証回避の脆弱性

10.0
2007/04/01 00:00
CVE-2005-2700

JVNDB-2005-000508

Apache HTTP Server に含まれる mod_ssl の ssl_hook_Access() 関数における認証回避の脆弱性
概要
Apache HTTP Server に含まれる mod_ssl では、ssl_engine_kernel.c に実装されている ssl_hook_Access() 関数に不備が存在するため、バーチャルホストのグローバル設定で SSLVerifyClient optional が設定されている状況下において、Location セクションごとに SSLVerifyClient require が設定されていた場合、クライアント証明書による認証が適切に行われない脆弱性が存在します。
想定される影響と対策
アクセス制限を回避して不正にアクセスされる可能性があります。
JVNDB-2005-000508は、ベンダより正式な対策が公開されています。ベンダ情報を参照して適切な対策を実施してください。
JVN情報 ※( )内はCVSS v3の値
深刻度10.0N/A
CVECVE-2005-2700
公表日2005/08/30 00:00
登録日2007/04/01 00:00
更新日2007/04/01 00:00
CVSS v2情報
全ての情報を閲覧するにはユーザー登録(無料)またはログインが必要です。